# TherMod ![Temperature model in the LA area, looking north. Color scale is 0 to 30 degrees C on the top and 0 to 300 degrees C n the sides. Vertical exageration is a factor of 10.](images/LACrossSectionTemperatureSmall.png)
This set of utilities is used to extract temperature profiles and maps from the NCM thermal 
model (Boyd, 2019). Running the code requires the NCM thermal model, NCM_TemperatureGrids.nc 
(https://doi.org/10.5066/P935DT1G), and the NCM spatial grid, NCM_SpatialGrid.nc 
(https://doi.org/10.5066/P9SBQENM). These codes and datasets are part of an effort to 
produce a three dimensional national crustal model for use with seismic hazard studies 
(https://doi.org/10.5066/P9T96Q67).

## Python
See the [README](thermod/README.md) file in the [thermod](thermod) directory for instructions
on installing NCM thermal model database and running the NCM thermal model in Python.

## Matlab
See the [README](matlab/README.md) file in the [matlab](matlab) directory for running
the NCM thermal model in MATLAB.

## Help
Any questions regarding the code and data can be directed to olboyd@usgs.gov.

## References
*Boyd, O.S., 2019, Temperature Model in support of the U.S. Geological Survey 
National Crustal Model for Seismic Hazard Studies: U.S. Geological Survey 
Open-File Report 2019–XXXX, XX p., https://doi.org/10.3133/ofr2019XXXX*
